Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan
Class Container

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.Container

Direct Known Subclasses:
  Grouping, QueryPlan

public class Container
extends QueryNode

Container

Constructor Summary
`Container()`
`Container(QueryNode[] values)`

Method Summary
`void` | `addQueryNode(QueryNode value)`
`boolean` | `contains(QueryNode value)`
`boolean` | `equals(java.lang.Object obj)`
`QueryNode` | `getQueryNode(int index)`
`QueryNode[]` | `getQueryNodes()`
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Container

    public Container()

### Container

    public Container(QueryNode[] values)

Method Detail

### addQueryNode

    public void addQueryNode(QueryNode value)

### contains

    public boolean contains(QueryNode value)

### getQueryNode

    public QueryNode getQueryNode(int index)

### getQueryNodes

    public QueryNode[] getQueryNodes()

### iterator

    public java.util.Iterator iterator()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group